| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::Object< T, Traits > Class Template Reference

`#include <impeller.hpp>`

## Public Member Functions
| Object ()=default
| Object (T object)
| Object (T object, AdoptTag)
| ~Object ()
| Object (Object &&other)
| Object (const Object &other)
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
T | Get () const
| operator bool () const

## Detailed Description

### template<class T, class Traits>
class IMPELLER_HPP_NAMESPACE::Object< T, Traits >

Definition at line 254 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ Object() [1/5]

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Object | ( |  | ) |
| default

## ◆ Object() [2/5]

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Object | ( | T | object | ) |
| inlineexplicit

Definition at line 258 of file impeller.hpp.

258 { Reset(object); }

## ◆ Object() [3/5]

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Object | ( | T | object,
|  | AdoptTag |
| ) |  |
| inline

Definition at line 260 of file impeller.hpp.

260 : object_(object) {}

## ◆ ~Object()

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::~Object | ( |  | ) |
| inline

Definition at line 262 of file impeller.hpp.

262 { Reset(); }

## ◆ Object() [4/5]

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Object | ( | Object< T, Traits > && | other | ) |
| inline

Definition at line 264 of file impeller.hpp.

264 { std::swap(object_, other.object_); }

## ◆ Object() [5/5]

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Object | ( | const Object< T, Traits > & | other | ) |
| inline

Definition at line 266 of file impeller.hpp.

266 { Reset(other.Get()); }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get().

## Member Function Documentation

## ◆ Get()

template<class T , class Traits >

T IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get | ( |  | ) | const
| inline

Definition at line 278 of file impeller.hpp.

278 { return object_; }

Referenced by IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipPath(), IMPELLER_HPP_NAMESPACE::ImageFilter::Compose(), IMPELLER_HPP_NAMESPACE::VulkanSwapchain::Create(), IMPELLER_HPP_NAMESPACE::Surface::Draw(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawDashedLine(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawDisplayList(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawLine(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawOval(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawPaint(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawParagraph(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawPath(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRect(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRoundedRect(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRoundedRectDifference(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawShadow(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawTexture(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawTextureRect(), IMPELLER_HPP_NAMESPACE::ColorSource::FragmentProgram(), IMPELLER_HPP_NAMESPACE::ImageFilter::FragmentProgram(), IMPELLER_HPP_NAMESPACE::ColorSource::Image(), IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Object(), IMPELLER_HPP_NAMESPACE::Object< T, Traits >::operator=(), IMPELLER_HPP_NAMESPACE::ParagraphBuilder::PushStyle(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetBackground(), IMPELLER_HPP_NAMESPACE::Paint::SetColorFilter(), IMPELLER_HPP_NAMESPACE::Paint::SetColorSource(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetForeground(), IMPELLER_HPP_NAMESPACE::Paint::SetImageFilter(), IMPELLER_HPP_NAMESPACE::Paint::SetMaskFilter(), IMPELLER_HPP_NAMESPACE::Texture::WithContents(), IMPELLER_HPP_NAMESPACE::Texture::WithOpenGLTexture(), IMPELLER_HPP_NAMESPACE::Surface::WrapFBO(), and IMPELLER_HPP_NAMESPACE::Surface::WrapMetalDrawable().

## ◆ operator bool()

template<class T , class Traits >

IMPELLER_HPP_NAMESPACE::Object< T, Traits >::operator bool | ( |  | ) | const
| inlineexplicit

Definition at line 280 of file impeller.hpp.

280 { return object_ != nullptr; }

## ◆ operator=() [1/2]

template<class T , class Traits >

Object& IMPELLER_HPP_NAMESPACE::Object< T, Traits >::operator= | ( | const Object< T, Traits > & | other | ) |
| inline

Definition at line 273 of file impeller.hpp.

273 {
274 Reset(other.Get());
275 return *this;
276 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get().

## ◆ operator=() [2/2]

template<class T , class Traits >

Object& IMPELLER_HPP_NAMESPACE::Object< T, Traits >::operator= | ( | Object< T, Traits > && | other | ) |
| inline

Definition at line 268 of file impeller.hpp.

268 {
269 std::swap(object_, other.object_);
270 return *this;
271 }

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp